Software features

Requirements

Basically, any computer with Windows 95, 98, 2000, Millennium, Server 2003, NT, XP, Vista or Windows 7 installed is able to run OdontoSoft Millennium, although the minimum requirements are:


For the Caller ID feature:

OdontoSoft Millennium!
is developed and owned by
GB Systems, LLC (USA)
GB Systems (Argentina)

©1995-2015 GB Systems
All Rights Reserved